# Send ABM Link

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v1/users/me/operations/abm_links/send:
    post:
      summary: Send ABM Link
      deprecated: false
      description: "Assigns unassigned ABM link to current user and send link information to user\n\n## Body Parameters\n\nKey | Type | Description\n--------- | ------ | ------\nchannel | string(`sms`, `email`) | Message channel\n\n## Error Responses\n\nStatus | Description\n--------- | -----------\n`412` |  No more unassigned links\n`404` |  Contact information not found\n`422` |  Invalid parameters\n\n## Example\n\n```shell\ncurl -X POST \\\n\"https://api.mpc.placewise.com/v1/users/me/operations/abm_links/send\" \\\n  -H 'authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICIyOE' \\\n  -H 'content-type: application/json' \\\n  -H 'x-loyalty-club-slug: infinity-mall' \\\n  -H 'x-user-agent: CURL manual test' \\\n  -H 'x-store-id: 430'\n  -d '{\n\t    \"channel\": \"email\"\n    }'\n```\n\nWhen successful, returns an empty object:\n\n```json\n{}\n```"
      tags:
        - API Reference/Operations API/Tenant API/ABM Links
      parameters:
        - name: Content-Type
          in: header
          description: '[Details](doc-341635)'
          required: true
          example: application/json
          schema:
            type: string
            default: application/json
            const: application/json
        - name: X-User-Agent
          in: header
          description: Arbitrary identifier of your client. [Details](doc-341635)
          required: true
          example: '{{X_USER_AGENT}}'
          schema:
            type: string
            default: '{{X_USER_AGENT}}'
        - name: X-Product-Name
          in: header
          description: API Product for API context. [Details](doc-341635)
          required: true
          example: '{{PRODUCT_NAME}}'
          schema:
            type: string
            default: '{{PRODUCT_NAME}}'
        - name: X-Loyalty-Club-Slug
          in: header
          description: LoyaltyClub for API context. [Details](doc-342138)
          required: false
          example: '{{LOYALTY_CLUB_SLUG}}'
          schema:
            type: string
            default: '{{LOYALTY_CLUB_SLUG}}'
        - name: X-Customer
          in: header
          description: Customer for API context.  [Details](doc-342139)
          required: false
          example: '{{CUSTOMER_ID}}'
          schema:
            type: string
            default: '{{CUSTOMER_ID}}'
        - name: Authorization
          in: header
          description: '[Member](doc-342129) or [User](doc-342130) Authorization.'
          required: false
          example: Bearer {{_OAUTH_TOKEN}}
          schema:
            type: string
            default: Bearer {{_OAUTH_TOKEN}}
        - name: X-Client-Authorization
          in: header
          description: '[Token](doc-342128) Authorization.'
          example: '{{API_TOKEN}}'
          schema:
            type: string
            default: '{{API_TOKEN}}'
        - name: X-Store-Id
          in: header
          description: 'Store id associated with given user role (e.g. Store Owner). '
          required: false
          example: '{{STORE_ID}}'
          schema:
            type: integer
            default: '{{STORE_ID}}'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
          x-apidog-name: Success
      security: []
      x-apidog-folder: API Reference/Operations API/Tenant API/ABM Links
      x-apidog-status: pending
      x-run-in-apidog: https://app.eu.apidog.com/web/project/346351/apis/api-3511347-run
components:
  schemas: {}
  securitySchemes: {}
servers:
  - url: https://api.mpc.dev.placewise.com
    description: Staging
security: []

```